# Interface AnnotationValue.OfArray

All Superinterfaces:
  `AnnotationValue`

Enclosing interface:
  `AnnotationValue`

public static sealed interface AnnotationValue.OfArray extends AnnotationValue
Models an array value of an element-value pair. The tag of this value is [.

Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface AnnotationValue

`AnnotationValue.OfAnnotation, AnnotationValue.OfArray, AnnotationValue.OfBoolean, AnnotationValue.OfByte, AnnotationValue.OfChar, AnnotationValue.OfClass, AnnotationValue.OfConstant, AnnotationValue.OfDouble, AnnotationValue.OfEnum, AnnotationValue.OfFloat, AnnotationValue.OfInt, AnnotationValue.OfLong, AnnotationValue.OfShort, AnnotationValue.OfString`

## Field Summary

### Fields declared in interface AnnotationValue

`TAG_ANNOTATION, TAG_ARRAY, TAG_BOOLEAN, TAG_BYTE, TAG_CHAR, TAG_CLASS, TAG_DOUBLE, TAG_ENUM, TAG_FLOAT, TAG_INT, TAG_LONG, TAG_SHORT, TAG_STRING`

## Method Summary

Modifier and Type
Method
Description
`List<AnnotationValue>`
`values()`
Returns the array elements of the array value.

### Methods declared in interface AnnotationValue

`tag`

## Method Details

### values

List<AnnotationValue> values()
Returns the array elements of the array value.

API Note:
  All array elements derived from Java source code have the same type, which must not be an array type. (JLS 9.6.1) If such elements are annotations, they have the same annotation interface; if such elements are enum, they belong to the same enum class.
Returns:
  the array elements of the array value